libpangomm-1.4-1v5_2.38.1-1_amd64.deb


Advertisement

Description

libpangomm-1.4-1v5 - C++ Wrapper for pango (shared libraries)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libpangomm-1.4-1v5_2.38.1-1_amd64.deb
Package name libpangomm-1.4-1v5
Package version 2.38.1
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage http://gtkmm.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 41.06 KB
Installed size 212.00 KB
Pangomm is a C++ wrapper for the pango library. Originally part of
gtkmm, pangomm provides convenient C++ interfaces for handling both
the layout and internationalization of text in graphical applications.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
libpangomm-1.4-1v5_2.38.1-1_i386.deb 2.38.1 i386 Ubuntu Main
libpangomm-1.4-1v5 - - -

Requires

Name Value
libc6 >= 2.14
libcairomm-1.0-1v5 >= 1.12.0
libgcc1 >= 1:4.1.1
libglib2.0-0 >= 2.24.0
libglibmm-2.4-1v5 >= 2.46.0
libpango-1.0-0 >= 1.38.0
libpangocairo-1.0-0 >= 1.38.0
libsigc++-2.0-0v5 >= 2.2.0
libstdc++6 >= 5.2

Conflicts

Name Value
libpangomm-1.4-1 -

Replaces

Name Value
libpangomm-1.4-1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpangomm-1.4-1v5_2.38.1-1_amd64.deb
Source Package pangomm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpangomm-1.4-1v5 deb package:
    # sudo apt-get install libpangomm-1.4-1v5

Files

Path
/usr/lib/x86_64-linux-gnu/libpangomm-1.4.so.1
/usr/lib/x86_64-linux-gnu/libpangomm-1.4.so.1.0.30
/usr/share/doc/libpangomm-1.4-1v5/AUTHORS
/usr/share/doc/libpangomm-1.4-1v5/NEWS.gz
/usr/share/doc/libpangomm-1.4-1v5/README
/usr/share/doc/libpangomm-1.4-1v5/changelog.Debian.gz
/usr/share/doc/libpangomm-1.4-1v5/copyright

Changelog

2015-10-08 - Michael Biebl <biebl@debian.org>
pangomm (2.38.1-1) unstable; urgency=medium
* New upstream release.
* Update Build-Depends as per configure.ac:
- Bump libcairomm-1.0-dev to (>= 1.12.0).
- Bump libglibmm-2.4-dev to (>= 2.46.1).
- Bump libpango1.0-dev to (>= 1.38.0).
- Bump mm-common to (>= 0.9.8).
* Bump SHVER to 2.38.0.
2015-08-17 - Simon McVittie <smcv@debian.org>
pangomm (2.36.0-2) unstable; urgency=medium
* Team upload.
* Rename library package to libpangomm-1.4-1v5 for libstdc++ ABI
transition. Based on changes made in Ubuntu by Sebastien Bacher.
- Bump Build-Depends on glibmm and cairomm to g++-5-built versions
2015-05-11 - Michael Biebl <biebl@debian.org>
pangomm (2.36.0-1) unstable; urgency=medium
* New upstream release.
* Bump Build-Depends on cdbs for multiarch support.
* Bump required version of libpango1.0-dev (>= 1.36.0).
* Bump SHVER to 2.36.0.
* Bump Standards-Version to 3.9.6. No further changes.
2014-08-28 - Andreas Barth <aba@ayous.org>
pangomm (2.34.0-1.1) unstable; urgency=low
* Non-maintainer upload.
* Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #752179
2013-06-27 - Michael Biebl <biebl@debian.org>
pangomm (2.34.0-1) unstable; urgency=low
* New upstream release.
* Bump required version of libglibmm-2.4-dev to (>= 2.36.0).
* Drop obsolete DM-Upload-Allowed field.
* Update Vcs-* URLs.
* Update debian/copyright, use final copyright-format 1.0 spec.
* Bump Standards-Version to 3.9.4. No further changes.
* Add Build-Depends on autotools-dev as lintian was complaining about
outdated config.{guess,sub}.
* Drop obsolete Conflicts/Replaces.
* Convert to multiarch.
* Bump debhelper compatibility level to 9.
2011-11-17 - Michael Biebl <biebl@debian.org>
pangomm (2.28.4-1) unstable; urgency=low
* New upstream release.
* debian/watch:
- Track .xz tarballs.
* Bump debhelper compatibility level to 8.
* debian/control.in:
- Bump Standards-Version to 3.9.2. No further changes.
- Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
* Stop installing libtool .la files.
2011-09-28 - Martin Pitt <mpitt@debian.org>
pangomm (2.28.3-1) unstable; urgency=low
[ Deng Xiyue ]
* debian/watch:
+ Fix RegEx to work again.
[ Martin Pitt ]
* New upstream release:
- Ship convert_pangomm.m4 in tarballs.
- Don't use obsolete autotools macros.
2011-04-17 - Deng Xiyue <manphiz-guest@users.alioth.debian.org>
pangomm (2.28.2-1) unstable; urgency=low
[ Emilio Pozuelo Monfort ]
* debian/control.in,
debian/rules:
+ Remove the chrpath hack, it's been fixed in libtool.
[ Krzysztof Klimonda ]
* New upstream release. 
[ Deng Xiyue ]
* New upstream bugfix release.
+ debian/control.in:
+ Add mm-common >= 0.9.5 as builddep as per configure.ac.
+ debian/rules:
+ Update SHVER to 2.27.1 due to new API.
* Convert to source format 3.0 (quilt)
+ debian/rules:
+ Drop simple-patchsys.mk.
+ debian/watch:
+ Track *.tar.bz2 instead of *.tar.gz
* debian/control.in:
+ Update Standards-Version to 3.9.1.
2010-05-04 - Sebastian Dröge <slomo@debian.org>
pangomm (2.26.2-1) unstable; urgency=low
* New upstream bugfix release.
2010-04-16 - Sebastian Dröge <slomo@debian.org>
pangomm (2.26.1-1) unstable; urgency=low
* New upstream bugfix release.
* debian/control.in:
+ Update Standards-Version to 3.8.4.

See Also

Package Description
libpangomm-1.4-dev_2.38.1-1_amd64.deb C++ Wrapper for pango (development files)
libpangomm-1.4-doc_2.38.1-1_all.deb C++ Wrapper for pango (documentation)
libpangox-1.0-0_0.0.2-5_amd64.deb pango library X backend
libpangox-1.0-dev_0.0.2-5_amd64.deb pango library X backend - development files
libpangoxft-1.0-0_1.38.1-1_amd64.deb Layout and rendering of internationalized text
libpaper-dev_1.1.24+nmu4ubuntu1_amd64.deb library for handling paper characteristics (development files)
libpaper-utils_1.1.24+nmu4ubuntu1_amd64.deb library for handling paper characteristics (utilities)
libpaper1_1.1.24+nmu4ubuntu1_amd64.deb library for handling paper characteristics
libparse-debianchangelog-perl_1.2.0-8_all.deb parse Debian changelogs and output them in other formats
libparse-pidl-perl_4.3.8+dfsg-0ubuntu1_amd64.deb IDL compiler written in Perl
libparse-yapp-perl_1.05-12_all.deb Perl module for creating fully reentrant LALR parser OO Perl modules
libparted-dev_3.2-15_amd64.deb disk partition manipulator - development files
libparted-fs-resize0_3.2-15_amd64.deb disk partition manipulator - shared FS resizing library
libparted0-dev_3.2-15_all.deb disk partition manipulator - transitional package
libparted2_3.2-15_amd64.deb disk partition manipulator - shared library
Advertisement
Advertisement